Bug 1136504 - bash tab completion does not allow completion for file paths
Summary: bash tab completion does not allow completion for file paths
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: Master
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 2.6.0
Assignee: Irina Gulina
QA Contact: Martin Minar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-02 17:54 UTC by Randy Barlow
Modified: 2016-07-04 00:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:17:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 507 0 None None None Never

Description Randy Barlow 2014-09-02 17:54:30 UTC
Description of problem:
The new bash tab completion does not allow the user to complete file paths

Version-Release number of selected component (if applicable):
master

How reproducible:
Every time.

Steps to Reproduce:
1. pulp-admin rpm repo create --feed-ca-cert /hom <TAB><TAB>

Actual results:
Nothing can be completed.

Expected results:
I would expect it to complete to /home/

Comment 1 Irina Gulina 2014-09-19 16:10:34 UTC
https://github.com/pulp/pulp/pull/1166

Comment 2 Chris Duryee 2014-11-19 23:36:35 UTC
Patch is in 2.6-dev and master, setting target release to 2.6.0

Comment 3 Chris Duryee 2014-12-23 20:53:11 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 4 Brian Bouterse 2015-02-28 22:17:38 UTC
Moved to https://pulp.plan.io/issues/507


Note You need to log in before you can comment on or make changes to this bug.